Get aggregate citation statistics
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/citations/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/citations/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/citations/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"stats": {
"totalCitations": 123,
"uniquePages": 123,
"uniqueDomains": 123,
"avgPosition": 123,
"top3Count": 123,
"primaryCitations": 123,
"competitorCitations": 123,
"otherCitations": 123
},
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get aggregate citation statistics
Returns aggregate citation totals from the v2 citation stats rollup for a fixed 30 or 90 day window. Use top-pages and top-domains for citation lists.
GET
/
projects
/
{projectId}
/
citations
/
stats
Get aggregate citation statistics
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Fixed rolling window in days. Supported values are 30 and 90. Defaults to 30.
Available options:
30, 90 ⌘I